<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{template.html}">
<head>
<title>SHIP Clip</title>
<style type="text/css">
td {
	vertical-align: middle
}
</style>
</head>
<body>
	<main layout:fragment="content">
		<div class="container">
			<div class="row">
				<div class="col-sm-12">
					<table id="table" class="table table-striped">
						<thead>
							<tr>
								<th>APP_ID</th>
								<th>LABEL</th>
								<th>DESCRIPTION</th>
								<th>ORDER</th>
								<th>KEYCLOAK_ROLE</th>
								<th style="min-width: 84px"></th>
							</tr>
						</thead>
						<tbody>
							<tr th:each="m : ${menuitemList}">
								<td><img th:src="${m.iconUrl}" class="iconbeforetext" th:if="${m.iconUrl}" />
								<a th:href="${m.url}" target="_blank">
										<i class="fas fa-up-right-from-square" style="margin-right: 8px"></i><span th:text="${m.appId}"></span>
									</a></td>
								<td><span th:text="${m.label.getCurrentLabel(#locale.toString())}" th:if="${m.label}"></span></td>
								<td><span th:text="${m.description.getCurrentLabel(#locale.toString())}" th:if="${m.description}"></span></td>
								<td><span th:text="${m.orderNr}"></span></td>
								<td><span th:text="${m.keycloakRole}"></span></td>
								<td><a class="btn btn-outline-primary" th:href="@{/admin/menuitem/{id}(id=${m.pk})}" th:title="#{tooltip.edit}">
										<i class="fas fa-pen"></i>
									</a>&nbsp;
									<button class="btn btn-outline-danger" type="button" th:title="#{tooltip.delete}" data-bs-toggle="modal" th:data-bs-target="'#delete-modal-' + ${m.pk}" th:data-maintenance-id="${m.pk}">
										<i class="fas fa-trash-alt"></i>
									</button>
									<div th:id="'delete-modal-' + ${m.pk}" class="modal fade" tabindex="-1" role="dialog">
										<div class="modal-dialog modal-dialog-centered" role="document">
											<div class="modal-content">
												<div class="modal-header">
													<h3 th:text="#{title.delete.approval}"></h3>
												</div>
												<span class="modal-title" th:text="#{warning.delete.menuitem(${m.appId}, ${m.url})}"></span>
												<div class="modal-footer">
													<button type="button" class="btn btn-outline-secondary" data-bs-dismiss="modal" th:text="#{button.cancel}"></button>
													<a class="btn btn-outline-danger" th:href="@{/admin/deletemenuitem/{id}(id=${m.pk})}" th:text="#{button.delete}"></a>
												</div>
											</div>
										</div>
									</div></td>
							</tr>
						</tbody>
						<tfoot>
							<tr>
								<td colspan="6"><a th:href="@{/admin/addmenuitem}" class="btn btn-outline-success form-control">
										<span th:text="#{button.add}"></span>
									</a></td>
							</tr>
						</tfoot>
					</table>
					<script type="text/javascript">
						$(document)
								.ready(
										function() {
											var localeUrl = '[[@{/locale/{l}.json(l=${#locale})}]]';
											$('#table').DataTable({
												"language" : {
													"url" : localeUrl
												}
											});
										});
					</script>
				</div>
			</div>
		</div>
	</main>
</body>
</html>